/// <amd-module name="@dataform/grpc-web-proxy" />
export declare const Mode: readonly ["http1-insecure", "http2-insecure", "http2-fake-https", "http2-secure"];
export declare type Mode = typeof Mode[number];
export interface IGrpcWebProxyOptions {
    backend: string;
    port: number;
    mode?: Mode;
    key?: string;
    cert?: string;
}
export declare class GrpcWebProxy {
    private webServer;
    private grpcClient;
    private isShutdown;
    constructor(options: IGrpcWebProxyOptions);
    shutdown(): void;
    private connectAndKeepAlive;
    private handleHttp1GrpcWebRequest;
    private handleHttp2GrpcWebRequest;
}
